> For the complete documentation index, see [llms.txt](https://docs.payshield.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payshield.ai/transaction-processing/integrations-and-apis/rest-api/transaction-ptxid.md).

# Transaction - ptxid

Most of the following API's will require a PTXID(Parent Transaction ID) and are based around handling transactions once they have been created.\
\
For information on how to create a transaction via a REST call, see the [SID Section](/transaction-processing/integrations-and-apis/rest-api/site-sid-payments.md)

{% openapi src="/files/1u9LF7bPvfCrr8hfmbfx" path="/{ptxid}/getstatus" method="get" %}
[TxProcessV1.yml](https://2711531294-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FS2zmC5IQEnyETw2Wkawl%2Fuploads%2Fs4d4ErTmJJRKIfdGk2bV%2FTxProcessV1.yml?alt=media\&token=af4079fb-44fd-4acc-b178-10ee83c6802d)
{% endopenapi %}

{% openapi src="/files/1u9LF7bPvfCrr8hfmbfx" path="/{ptxid}/requery" method="post" %}
[TxProcessV1.yml](https://2711531294-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FS2zmC5IQEnyETw2Wkawl%2Fuploads%2Fs4d4ErTmJJRKIfdGk2bV%2FTxProcessV1.yml?alt=media\&token=af4079fb-44fd-4acc-b178-10ee83c6802d)
{% endopenapi %}

{% openapi src="/files/1u9LF7bPvfCrr8hfmbfx" path="/{ptxid}/sendauth" method="post" %}
[TxProcessV1.yml](https://2711531294-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FS2zmC5IQEnyETw2Wkawl%2Fuploads%2Fs4d4ErTmJJRKIfdGk2bV%2FTxProcessV1.yml?alt=media\&token=af4079fb-44fd-4acc-b178-10ee83c6802d)
{% endopenapi %}

{% openapi src="/files/1u9LF7bPvfCrr8hfmbfx" path="/{ptxid}/resendauth" method="get" %}
[TxProcessV1.yml](https://2711531294-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FS2zmC5IQEnyETw2Wkawl%2Fuploads%2Fs4d4ErTmJJRKIfdGk2bV%2FTxProcessV1.yml?alt=media\&token=af4079fb-44fd-4acc-b178-10ee83c6802d)
{% endopenapi %}

{% openapi src="/files/86gbQmJG1cyYGi3hzAv8" path="/gettoken" method="post" %}
[TxProcessV2.yml](https://2711531294-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FS2zmC5IQEnyETw2Wkawl%2Fuploads%2F4htBNt54qGKkmxdrR9WY%2FTxProcessV2.yml?alt=media\&token=3af94572-79dc-489b-8c2c-3fc0143b6be8)
{% endopenapi %}

#### processrefund

processrefund uses your Bearer token for Authentication and takes in JSON data.\
\
If the transaction is still a PREAUTH that hasn't been settled, the transaction will be VOID instead.\
\
It should be noted that you can't do a partial VOID, a VOID is for the full transaction amount. You can however do a partial refund.

{% openapi src="/files/bbtMQfp0iOHaYDgUEtJA" path="/txprocess/transaction/{parentxid}/processrefund" method="post" %}
[txprocessv3.yaml](https://2711531294-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FS2zmC5IQEnyETw2Wkawl%2Fuploads%2FJV0JC2MV9SRiqas9EKWb%2Ftxprocessv3.yaml?alt=media\&token=3e2d553a-d20b-4300-ac8f-7914764f144a)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payshield.ai/transaction-processing/integrations-and-apis/rest-api/transaction-ptxid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
